


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: TimeEntry</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: TimeEntry (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">TimeEntry</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    83.3%
  </span>
  <span class="absValue">
    (10/ 12)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    87%
  </span>
  <span class="absValue">
    (20/ 23)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.repository.jpa.InstantAttributeConverter;
<i>4</i>&nbsp;
<i>5</i>&nbsp;import javax.persistence.Convert;
<i>6</i>&nbsp;import javax.persistence.Entity;
<i>7</i>&nbsp;import javax.persistence.JoinColumn;
<i>8</i>&nbsp;import javax.persistence.ManyToOne;
<i>9</i>&nbsp;import java.time.Instant;
<i>10</i>&nbsp;
<i>11</i>&nbsp;@Entity
<i>12</i>&nbsp;public class TimeEntry extends EntityWithId {
<i>13</i>&nbsp;    @JoinColumn(name = &quot;task&quot;)
<i>14</i>&nbsp;    @ManyToOne
<i>15</i>&nbsp;    private Task task;
<i>16</i>&nbsp;
<i>17</i>&nbsp;    @JoinColumn(name = &quot;user_project_booking&quot;)
<i>18</i>&nbsp;    @ManyToOne
<i>19</i>&nbsp;    private UserProjectBooking userProjectBooking;
<i>20</i>&nbsp;
<i>21</i>&nbsp;    @Convert(converter = InstantAttributeConverter.class)
<i>22</i>&nbsp;    private Instant startTime;
<i>23</i>&nbsp;
<i>24</i>&nbsp;    @Convert(converter = InstantAttributeConverter.class)
<i>25</i>&nbsp;    private Instant endTime;
<i>26</i>&nbsp;
<b class="fc"><i>27</i>&nbsp;    protected TimeEntry() {</b>
<b class="fc"><i>28</i>&nbsp;    }</b>
<i>29</i>&nbsp;
<i>30</i>&nbsp;    public static TimeEntry create(Task task, UserProjectBooking userProjectBooking, Instant startTime, Instant endTime) {
<b class="fc"><i>31</i>&nbsp;        TimeEntry timeEntry = new TimeEntry();</b>
<b class="fc"><i>32</i>&nbsp;        timeEntry.setTask(task);</b>
<b class="fc"><i>33</i>&nbsp;        timeEntry.setUserProjectBooking(userProjectBooking);</b>
<b class="fc"><i>34</i>&nbsp;        timeEntry.setStartTime(startTime);</b>
<b class="fc"><i>35</i>&nbsp;        timeEntry.setEndTime(endTime);</b>
<b class="fc"><i>36</i>&nbsp;        return timeEntry;</b>
<i>37</i>&nbsp;    }
<i>38</i>&nbsp;
<i>39</i>&nbsp;    public int getId() {
<b class="nc"><i>40</i>&nbsp;        return id;</b>
<i>41</i>&nbsp;    }
<i>42</i>&nbsp;
<i>43</i>&nbsp;    public void setId(int id) {
<b class="nc"><i>44</i>&nbsp;        this.id = id;</b>
<b class="nc"><i>45</i>&nbsp;    }</b>
<i>46</i>&nbsp;
<i>47</i>&nbsp;    public Task getTask() {
<b class="fc"><i>48</i>&nbsp;        return task;</b>
<i>49</i>&nbsp;    }
<i>50</i>&nbsp;
<i>51</i>&nbsp;    public void setTask(Task task) {
<b class="fc"><i>52</i>&nbsp;        this.task = task;</b>
<b class="fc"><i>53</i>&nbsp;    }</b>
<i>54</i>&nbsp;
<i>55</i>&nbsp;    public Instant getStartTime() {
<b class="fc"><i>56</i>&nbsp;        return startTime;</b>
<i>57</i>&nbsp;    }
<i>58</i>&nbsp;
<i>59</i>&nbsp;    public void setStartTime(Instant startTime) {
<b class="fc"><i>60</i>&nbsp;        this.startTime = startTime;</b>
<b class="fc"><i>61</i>&nbsp;    }</b>
<i>62</i>&nbsp;
<i>63</i>&nbsp;    public Instant getEndTime() {
<b class="fc"><i>64</i>&nbsp;        return endTime;</b>
<i>65</i>&nbsp;    }
<i>66</i>&nbsp;
<i>67</i>&nbsp;    public void setEndTime(Instant endTime) {
<b class="fc"><i>68</i>&nbsp;        this.endTime = endTime;</b>
<b class="fc"><i>69</i>&nbsp;    }</b>
<i>70</i>&nbsp;
<i>71</i>&nbsp;    public UserProjectBooking getUserProjectBooking() {
<b class="fc"><i>72</i>&nbsp;        return userProjectBooking;</b>
<i>73</i>&nbsp;    }
<i>74</i>&nbsp;
<i>75</i>&nbsp;    public void setUserProjectBooking(UserProjectBooking userProjectBooking) {
<b class="fc"><i>76</i>&nbsp;        this.userProjectBooking = userProjectBooking;</b>
<b class="fc"><i>77</i>&nbsp;    }</b>
<i>78</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
